summaryrefslogtreecommitdiff
path: root/build
diff options
context:
space:
mode:
Diffstat (limited to 'build')
-rwxr-xr-xbuild/bmakesnapshot43
-rwxr-xr-xbuild/bmaketests79
-rwxr-xr-xbuild/buildtest (renamed from build/maketest.sh)0
-rwxr-xr-xbuild/clmake17
-rwxr-xr-xbuild/makecheck13
-rwxr-xr-xbuild/makecheck23
-rwxr-xr-xbuild/makecheck36
-rwxr-xr-xbuild/makecheck45
-rwxr-xr-xbuild/packevol2
-rwxr-xr-xbuild/packwin2
10 files changed, 81 insertions, 79 deletions
diff --git a/build/bmakesnapshot b/build/bmakesnapshot
deleted file mode 100755
index 89f465251..000000000
--- a/build/bmakesnapshot
+++ /dev/null
@@ -1,43 +0,0 @@
-#!/bin/sh
-
-cd ..
-
-dir=`pwd`
-
-export PATH=/usr/lib/gcc-snapshot/bin:$PATH
-export CC=gcc
-export CXX=g++
-
-export LANG=C
-
-export CXXFLAGS="-Wvariadic-macros -Wvla -Wredundant-decls \
--Wpacked-bitfield-compat -Wtrampolines \
--Wsuggest-attribute=noreturn -Wunused -Wstrict-aliasing=2 \
--fstrict-aliasing -Wunreachable-code -Wabi -Wdisabled-optimization \
--Wvolatile-register-var -Winvalid-pch -Wredundant-decls \
--Wnormalized=nfkc -Wmissing-format-attribute -Wmissing-noreturn \
--Wswitch-default -Wsign-promo -Waddress -Wmissing-declarations \
--Wctor-dtor-privacy -Wstrict-null-sentinel -Wlogical-op \
--Wcast-align -Wpointer-arith -Wundef \
--Wmissing-include-dirs -Winit-self -pedantic -Wall -ggdb3 -O2 -pipe \
--Wpacked -Wextra -Wstrict-overflow=1 -Wunknown-pragmas -Wwrite-strings \
--Wstack-protector -Wshadow -Wunused-macros -Wsynth \
--Wbuiltin-macro-redefined -Wctor-dtor-privacy -Wdeprecated -Wextra \
--Wendif-labels -Wformat=1 -Wimport -Wnon-virtual-dtor -Wpsabi \
--Wsign-promo -Wwrite-strings -D_FORTIFY_SOURCE=2 -Wc++11-compat -std=c++0x \
--Wdelete-non-virtual-dtor -Wmaybe-uninitialized -Wunused-local-typedefs \
--Wvector-operation-performance -Wfree-nonheap-object -Winvalid-memory-model \
--Wnarrowing -Wzero-as-null-pointer-constant"
-
-autoreconf -i
-./configure --prefix=$dir/run \
---datadir=$dir/run/share/games \
---bindir=$dir/run/bin \
---mandir=$dir/run/share/man
-
-cd po
-#make -j5 update-po 2>../build/make1.log
-make -j5 update-gmo 2>../build/make1.log
-cd ..
-make -j5 2>build/make2.log
-
diff --git a/build/bmaketests b/build/bmaketests
new file mode 100755
index 000000000..e1d980a98
--- /dev/null
+++ b/build/bmaketests
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+cd ..
+
+dir=`pwd`
+
+export CC=gcc-4.5
+export CXX=g++-4.5
+
+export LANG=C
+export CXXFLAGS="-Wunreachable-code -Wmissing-field-initializers \
+-Wabi -Wdisabled-optimization -Wuninitialized \
+-Wvolatile-register-var -Winvalid-pch -Wredundant-decls \
+-Wnormalized=nfkc -Wmissing-format-attribute -Wmissing-noreturn \
+-Wswitch-default -Wsign-promo -Waddress -Wmissing-declarations \
+-Wctor-dtor-privacy -Wstrict-null-sentinel \
+-Wunused-parameter -Wlogical-op \
+-Wempty-body -Wsign-compare -Wclobbered -Wcast-align -Wcast-qual \
+-Wtype-limits -Wpointer-arith -Wundef -Wmissing-include-dirs \
+-Wignored-qualifiers -Winit-self -pedantic -Wall -ggdb3 -O2 -pipe \
+-Wpacked -Wshadow -Wunused -Wsynth \
+-Wbuiltin-macro-redefined -Wctor-dtor-privacy -Wdeprecated -Wextra \
+-Wendif-labels -Wformat=1 -Wimport -Wnon-virtual-dtor -Wpsabi \
+-Wsign-promo -Wwrite-strings -D_FORTIFY_SOURCE=2"
+
+autoreconf -i 2>../build/make.log
+
+result=$?
+if [ "$result" != 0 ]; then
+ echo autoreconf error
+ exit 1
+fi
+
+./configure --prefix=$dir/run \
+--datadir=$dir/run/share/games \
+--bindir=$dir/run/bin \
+--mandir=$dir/run/share/man \
+--enable-memdebug=yes \
+--with-internalguichan=yes \
+--enable-tcmalloc=no \
+--enable-googleprofiler=no \
+--enable-unittests=yes
+
+result=$?
+if [ "$result" != 0 ]; then
+ echo configure error
+ exit 1
+fi
+
+cd po
+#make -j5 update-po 2>../make1.log
+make -j5 update-gmo 2>../build/make1.log
+
+result=$?
+if [ "$result" != 0 ]; then
+ echo update-gmo error
+ exit 1
+fi
+
+cd ..
+make -j5 2>build/make2.log
+
+result=$?
+if [ "$result" != 0 ]; then
+ echo make error
+ exit 1
+fi
+
+make install
+
+result=$?
+if [ "$result" != 0 ]; then
+ echo make install error
+ exit 1
+fi
+
+cd run
+export GLIBCXX_FORCE_NEW=1
+./bin/manaplus
diff --git a/build/maketest.sh b/build/buildtest
index 61b20f0fe..61b20f0fe 100755
--- a/build/maketest.sh
+++ b/build/buildtest
diff --git a/build/clmake b/build/clmake
deleted file mode 100755
index a290af529..000000000
--- a/build/clmake
+++ /dev/null
@@ -1,17 +0,0 @@
-#!/bin/sh
-
-cd ..
-
-dir=`pwd`
-
-export LANG=C
-export CC=clang
-export CXX=clang++
-
-./configure --prefix=$dir/run \
---datadir=$dir/run/share/games \
---bindir=$dir/run/bin \
---mandir=$dir/run/share/man
-
-make -j5 2>build/make2.log
-
diff --git a/build/makecheck1 b/build/makecheck1
deleted file mode 100755
index 96b49e5c7..000000000
--- a/build/makecheck1
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/bin/bash
-
-cppcheck --enable=style --enable=information --enable=unusedFunction --force -j 5 -v .. 1>makecheck.txt 2>makecheck_err.txt
diff --git a/build/makecheck2 b/build/makecheck2
deleted file mode 100755
index b9108b6ef..000000000
--- a/build/makecheck2
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/bin/bash
-
-../../nsiqcppstyle/nsiqcppstyle/nsiqcppstyle --show-url ../src >make_nsiqcppstyle.txt
diff --git a/build/makecheck3 b/build/makecheck3
deleted file mode 100755
index 95e04ad28..000000000
--- a/build/makecheck3
+++ /dev/null
@@ -1,6 +0,0 @@
-#!/bin/bash
-
-cd ../src
-#../../cppcheck/cppcheck --enable=all --force -j 5 -v -I /usr/include -I /usr/include/c++/4.5 -I /usr/include/libxml2 -I /usr/include/SDL . 1>../makecheck.txt 2>../makecheck_err.txt
-#../../cppcheck/cppcheck --enable=style --enable=information --enable=unusedFunction --force -j 5 -v . 1>../makecheck.txt 2>../makecheck_err.txt
-../../cppcheck/cppcheck --enable=all -I . -I guichan/include --force -j 5 -v . 1>../build/makecheck.txt 2>../build/makecheck_err.txt
diff --git a/build/makecheck4 b/build/makecheck4
deleted file mode 100755
index 852986459..000000000
--- a/build/makecheck4
+++ /dev/null
@@ -1,5 +0,0 @@
-#!/bin/bash
-
-../../checkheaders/checkheaders ../src 2>tmp.txt
-sed '/(style): Header not found/d' tmp.txt >makecheck4.txt
-rm tmp.txt
diff --git a/build/packevol b/build/packevol
index 9059fdf58..7f89238ab 100755
--- a/build/packevol
+++ b/build/packevol
@@ -7,7 +7,7 @@ dir=`pwd`
cd packaging/windows
./make-translations.sh
makensis -DDLLDIR=$dir/../mana_win/libs/dll/ \
- -DPRODUCT_VERSION="1.2.2.5" \
+ -DPRODUCT_VERSION="1.2.2.19" \
-DEXESUFFIX=/src \
-DUPX=true \
evol.nsi
diff --git a/build/packwin b/build/packwin
index 296039482..ab7087768 100755
--- a/build/packwin
+++ b/build/packwin
@@ -7,7 +7,7 @@ dir=`pwd`
cd packaging/windows
./make-translations.sh
makensis -DDLLDIR=$dir/../mana_win/libs/dll/ \
- -DPRODUCT_VERSION="1.2.2.5" \
+ -DPRODUCT_VERSION="1.2.2.19" \
-DEXESUFFIX=/src \
-DUPX=true \
setup.nsi